// JTXT系统相关api
export default {
  basePath: process.env.VUE_APP_JTXT_URL,
  apiList: {
    // 查询考试列表信息
    GET_JTXT_GET_EXAMS: "/exams",
    // 查询某场考试的详细信息
    GET_JTXT_GET_EXAMS_ONE_DETAIL: "/exams/{examId}",
    // 开始考试
    POST_JTXT_GET_EXAMS_START: "/exams/{examId}/start",
    // 查询某场考试的试题信息
    GET_JTXT_GET_EXAMS_ONE_QUESTIONS_LIST: "/questions/{questionId}",
    // 查询某道题的答案
    // GET_JTXT_GET_EXAMS_ONE_QUESTIONS_ANSWER: "",
    // 结束考试
    POST_JTXT_GET_EXAMS_END: "/exams/{examId}/end"
  }
};
